package com.bankaudit.model;

import java.util.Date;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="user_log")
public class UserLog {



/*	Table: user_log
	-------------------

	Column Information
	----------------------

	Field                   Type          Collation          Null    Key     Default            Extra   Privileges                       Comment  
	----------------------  ------------  -----------------  ------  ------  -----------------  ------  -------------------------------  ---------
	id						int(2)							 NO		 PRI
	legal_entity_code       int(2)        (NULL)             NO              (NULL)                     select,insert,update,references           
	user_id                 varchar(20)   latin1_swedish_ci  NO              (NULL)                     select,insert,update,references           
	unit_code               varchar(20)   latin1_swedish_ci  NO              (NULL)                     select,insert,update,references           
	current_login           timestamp     (NULL)             YES             (NULL)                     select,insert,update,references           
	businessdate_timestamp  timestamp     (NULL)             YES             (NULL)                     select,insert,update,references           
	sysdate_timestamp       timestamp     (NULL)             YES             (NULL)                     select,insert,update,references           
*/
	@Id
	@GeneratedValue(strategy = javax.persistence.GenerationType.IDENTITY)
	@Column(name="id")
	private Integer id;
	
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;

	@Column(name="user_id")
	private String userId;
	
	@Column(name="unit_code")
	private String unitCode;
	
	@Column(name="current_login")
	private Date currentLogin;
	
	@Column(name="businessdate_timestamp")
	private Date businessdateTimestamp;
	
	@Column(name="sysdate_timestamp")
	private Date sysdateTimestamp;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getUnitCode() {
		return unitCode;
	}

	public void setUnitCode(String unitCode) {
		this.unitCode = unitCode;
	}

	public Date getCurrentLogin() {
		return currentLogin;
	}

	public void setCurrentLogin(Date currentLogin) {
		this.currentLogin = currentLogin;
	}

	public Date getBusinessdateTimestamp() {
		return businessdateTimestamp;
	}

	public void setBusinessdateTimestamp(Date businessdateTimestamp) {
		this.businessdateTimestamp = businessdateTimestamp;
	}

	public Date getSysdateTimestamp() {
		return sysdateTimestamp;
	}

	public void setSysdateTimestamp(Date sysdateTimestamp) {
		this.sysdateTimestamp = sysdateTimestamp;
	}
	
	
}
